summaryrefslogtreecommitdiffstats
path: root/network/scli
diff options
context:
space:
mode:
author Menno Duursma2010-05-11 20:01:43 +0200
committer Robby Workman2010-05-11 20:01:43 +0200
commit592862627db3069274d6d2b9aed677b29f518fe4 (patch)
treec9eb49ff65a9dd0e6a0ded3801480026650f7553 /network/scli
parent6d7c2cf0c3da6bc8a8c4752681106540701a062d (diff)
downloadslackbuilds-592862627db3069274d6d2b9aed677b29f518fe4.tar.gz
network/scli: Added to 12.0 repository
Diffstat (limited to 'network/scli')
-rw-r--r--network/scli/README10
-rw-r--r--network/scli/scli.SlackBuild68
-rw-r--r--network/scli/scli.info8
-rw-r--r--network/scli/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/network/scli/README b/network/scli/README
new file mode 100644
index 0000000000..12c7f7a677
--- /dev/null
+++ b/network/scli/README
@@ -0,0 +1,10 @@
+SNMP Command Line Interface
+
+The scli package was written to address the need for small and efficient
+command line utilities to monitor and configure network devices and host
+systems. The scli package is based on the SNMP management protocol. It
+utilizes a MIB compiler called smidump to generate C stub code.
+
+scli connects to any SNMP-enabled network node and lets you interactively
+browse through the values stored in the devices SNMP database (MIB, Management
+Information Base). It also has a scriptable, non-interactive mode.
diff --git a/network/scli/scli.SlackBuild b/network/scli/scli.SlackBuild
new file mode 100644
index 0000000000..fa267bc7ca
--- /dev/null
+++ b/network/scli/scli.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for scli
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+PRGNAM=scli
+VERSION=0.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 0755 {} \;
+find . -type f -exec chmod a-s,go-w {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/scli/scli.info b/network/scli/scli.info
new file mode 100644
index 0000000000..ade74edd5d
--- /dev/null
+++ b/network/scli/scli.info
@@ -0,0 +1,8 @@
+PRGNAM="scli"
+VERSION="0.3.1"
+HOMEPAGE="https://trac.eecs.iu-bremen.de/projects/scli/"
+DOWNLOAD="ftp://ftp.ibr.cs.tu-bs.de/local/scli/scli-0.3.1.tar.gz"
+MD5SUM="c630e28d37d8933b34d9d1fd31856887"
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="rworkman"
diff --git a/network/scli/slack-desc b/network/scli/slack-desc
new file mode 100644
index 0000000000..179b88139b
--- /dev/null
+++ b/network/scli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scli: scli (SNMP command line management tool)
+scli:
+scli: The scli package was written in order to have a small and efficient
+scli: command line utility to monitor and configure network devices and host
+scli: systems.
+scli: Includes a 'top' like program for monitoring (remote) agents.
+scli:
+scli: Primary author: Jürgen Schönwälder
+scli:
+scli:
+scli: